#include <stdlib.h>
/* 4. Das Gleichungssystem
Ax  + By  =  E 
Cx  + Dy  =  F     ist nach der Cramer'schen Regel zu lösen.
Bei Nichtlösbarkeit (h=0) ist eine Mitteilung auszugeben.
Hinweis: Cramersche Regel: mit h=A*D-B*C ist x=(E*D-F*B)/h und y=(A*F-E*C)/h.
-----------------------------------------------------------------------------*/
int main()
{   float  a=2, b=3, e=5, c=4, d=5, f=6, x, y;
   printf("\n4. Loesung des linearen Gleichungssystems: Ax + By = E\n");
   printf("                                           Cx + Dy = F\n\n");
   printf("Koeffizienten zeilenweise eingeben:\n");  
   printf(" A= "); scanf("%f", &a);
   printf(" B= "); scanf("%f", &b);
   printf(" E= "); scanf("%f", &e);
   printf(" C= "); scanf("%f", &c);
   printf(" D= "); scanf("%f", &d);
   printf(" F= "); scanf("%f", &f);
   printf("\nAlso: %fx + %fy = %f\n", a, b, e);
   printf("      %fx + %fy = %f\n\n", c, d, f);
   x=a*d-b*c;
   if (x==0) printf("\n\nKeine Loesung!");
   else { y=(a*f-e*c)/x; x=(e*d-f*b)/x;
          printf("\nLoesung: x=%f, y=%f\n", x, y);      /* -3,5 und 4 */
          printf("\nProbe: %f*%f +%f*%f=%f\n", a,x,b,y, a*x+b*y);
        }      /* a=5 b=3 e=30, c=7 d=9 f=66 -> 3, 5 */


   printf("\n");   system("PAUSE");   return 0;
}
